import javax.swing.*;

public class Alu extends javax.swing.JFrame {

    //LE DUE PAROLE DA 8 BIT SULLE QUALI EFFETTUARE LE OPERAZIONI.
    private String byteA,byteB;
    /*QUESTA È LA MATRICE CONTENTE GLI INDIRIZZI DELLE IMMAGINI NECESSARIE PER L'ANIMAZIONE.
      ESSA È STRUTTURATA NEL SEGUENTE MODO: OGNI RIGA CONTIENE 5 INDIRIZZI RELATIVI ALLE
      IMMAGINI CHE FORMANO IL CIRCUITO DELLA ALU A 1 BIT.
      PER DISTINGUERE FRA LA VARIE ANIMAZIONI DELLE 8 ALU LA RIGA DOPO L'ULTIMA SEQUENZA
      DELLA SINGOLA ALU CONTIENE UN * ALLA COLONNA 0.*/
    private String[][] sequence;
    //L'INDICE DELLA RIGA DELLA MATRICE DELLE SEQUENZE ALLA QUALE ATTUALMENTE MI TROVO.
    private int sequenceIndex;
    //IL NUMERO DI RIGHE DELLA MATRICE DELLE SEQUENZE. ESSO È DATO DAL NUMERO DI RIGHE -1
    //DATO CHE DEVO ESCLUDERE L'ULTIMA RIGA CONTENTE UN ASTERISCO INUTILE.
    private int sequenceLength;
    //L'INDICE DELLA ALU A 1 BIT DELLA QUALE STO ATTUALMENTE CALCOLANDO LA FUNZIONE.
    private int aluIndex;
    private JLabel[] alu8,out;
    private JCheckBox[] A,B;

    public Alu() {
        initComponents();
    }

    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane1 = new javax.swing.JScrollPane();
        jPanel1 = new javax.swing.JPanel();
        jLayeredPane1 = new javax.swing.JLayeredPane();
        alu1 = new javax.swing.JLabel();
        alu2 = new javax.swing.JLabel();
        alu3 = new javax.swing.JLabel();
        alu4 = new javax.swing.JLabel();
        alu6 = new javax.swing.JLabel();
        alu5 = new javax.swing.JLabel();
        alu7 = new javax.swing.JLabel();
        alu0 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        jLabel12 = new javax.swing.JLabel();
        jLabel13 = new javax.swing.JLabel();
        jLabel14 = new javax.swing.JLabel();
        jLabel15 = new javax.swing.JLabel();
        jLabel16 = new javax.swing.JLabel();
        b0 = new javax.swing.JCheckBox();
        b7 = new javax.swing.JCheckBox();
        a7 = new javax.swing.JCheckBox();
        a6 = new javax.swing.JCheckBox();
        b6 = new javax.swing.JCheckBox();
        a5 = new javax.swing.JCheckBox();
        b5 = new javax.swing.JCheckBox();
        a4 = new javax.swing.JCheckBox();
        b4 = new javax.swing.JCheckBox();
        a3 = new javax.swing.JCheckBox();
        b3 = new javax.swing.JCheckBox();
        a2 = new javax.swing.JCheckBox();
        b2 = new javax.swing.JCheckBox();
        a1 = new javax.swing.JCheckBox();
        b1 = new javax.swing.JCheckBox();
        a0 = new javax.swing.JCheckBox();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        jLabel8 = new javax.swing.JLabel();
        jLabel9 = new javax.swing.JLabel();
        jLabel10 = new javax.swing.JLabel();
        jLabel11 = new javax.swing.JLabel();
        jLabel18 = new javax.swing.JLabel();
        jLabel19 = new javax.swing.JLabel();
        jLabel20 = new javax.swing.JLabel();
        jLabel21 = new javax.swing.JLabel();
        jLabel22 = new javax.swing.JLabel();
        jLabel23 = new javax.swing.JLabel();
        jLabel24 = new javax.swing.JLabel();
        jLabel25 = new javax.swing.JLabel();
        jLabel26 = new javax.swing.JLabel();
        jLabel27 = new javax.swing.JLabel();
        jLabel28 = new javax.swing.JLabel();
        jLabel29 = new javax.swing.JLabel();
        jLabel30 = new javax.swing.JLabel();
        jLabel31 = new javax.swing.JLabel();
        O0 = new javax.swing.JLabel();
        lblCO = new javax.swing.JLabel();
        O6 = new javax.swing.JLabel();
        O5 = new javax.swing.JLabel();
        O4 = new javax.swing.JLabel();
        O3 = new javax.swing.JLabel();
        O2 = new javax.swing.JLabel();
        O1 = new javax.swing.JLabel();
        O7 = new javax.swing.JLabel();
        head = new javax.swing.JLabel();
        jLabel66 = new javax.swing.JLabel();
        jLabel67 = new javax.swing.JLabel();
        jLabel68 = new javax.swing.JLabel();
        jLabel69 = new javax.swing.JLabel();
        lblByteA = new javax.swing.JLabel();
        lblByteB = new javax.swing.JLabel();
        jLabel43 = new javax.swing.JLabel();
        cmbFunction = new javax.swing.JComboBox();
        jLabel4 = new javax.swing.JLabel();
        jLayeredPane2 = new javax.swing.JLayeredPane();
        lblDec = new javax.swing.JLabel();
        lblSum = new javax.swing.JLabel();
        lblOut = new javax.swing.JLabel();
        lblLogic = new javax.swing.JLabel();
        lblOther = new javax.swing.JLabel();
        lblNumAlu = new javax.swing.JLabel();
        cmdPrev = new javax.swing.JButton();
        cmdNext = new javax.swing.JButton();
        cmdStart = new javax.swing.JButton();
        cmdReset = new javax.swing.JButton();
        jLabel17 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setTitle("VISUAL 8b v1.0");
        setBackground(java.awt.Color.white);
        setExtendedState(6);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowOpened(java.awt.event.WindowEvent evt) {
                formWindowOpened(evt);
            }
        });

        jPanel1.setBackground(java.awt.Color.white);
        jPanel1.setMaximumSize(new java.awt.Dimension(1380, 600));
        jPanel1.setMinimumSize(new java.awt.Dimension(1380, 600));
        jPanel1.setPreferredSize(new java.awt.Dimension(1362, 600));

        jLayeredPane1.setBackground(java.awt.Color.white);
        jLayeredPane1.setBorder(new javax.swing.border.LineBorder(new java.awt.Color(0, 0, 0), 2, true));
        jLayeredPane1.setOpaque(true);

        alu1.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu1.setBounds(610, 50, 90, 200);
        jLayeredPane1.add(alu1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu2.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu2.setBounds(520, 50, 90, 200);
        jLayeredPane1.add(alu2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu3.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu3.setBounds(430, 50, 90, 200);
        jLayeredPane1.add(alu3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu4.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu4.setBounds(340, 50, 110, 200);
        jLayeredPane1.add(alu4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu6.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu6.setName(""); // NOI18N
        alu6.setBounds(160, 50, 90, 200);
        jLayeredPane1.add(alu6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu5.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu5.setBounds(250, 50, 110, 200);
        jLayeredPane1.add(alu5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu7.setIcon(new javax.swing.ImageIcon(getClass().getResource("/s000000.00.0.png"))); // NOI18N
        alu7.setOpaque(true);
        alu7.setBounds(70, 50, 90, 200);
        jLayeredPane1.add(alu7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        alu0.setIcon(new javax.swing.ImageIcon(getClass().getResource("/t000000.00.0.png"))); // NOI18N
        alu0.setBounds(700, 50, 120, 200);
        jLayeredPane1.add(alu0, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel3.setText("  ALU 0");
        jLabel3.setBounds(730, 190, 50, 18);
        jLayeredPane1.add(jLabel3, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel5.setText("  ALU 6");
        jLabel5.setBounds(190, 190, 50, 18);
        jLayeredPane1.add(jLabel5, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel12.setText("  ALU 5");
        jLabel12.setBounds(280, 190, 50, 18);
        jLayeredPane1.add(jLabel12, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel13.setText("  ALU 4");
        jLabel13.setBounds(370, 190, 50, 18);
        jLayeredPane1.add(jLabel13, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel14.setText("  ALU 3");
        jLabel14.setBounds(460, 190, 50, 18);
        jLayeredPane1.add(jLabel14, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel15.setText("  ALU 2");
        jLabel15.setBounds(550, 190, 50, 18);
        jLayeredPane1.add(jLabel15, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel16.setText("  ALU 1");
        jLabel16.setBounds(640, 190, 50, 18);
        jLayeredPane1.add(jLabel16, javax.swing.JLayeredPane.PALETTE_LAYER);

        b0.setForeground(java.awt.Color.white);
        b0.setContentAreaFilled(false);
        b0.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b0ActionPerformed(evt);
            }
        });
        b0.setBounds(770, 50, 20, 20);
        jLayeredPane1.add(b0, javax.swing.JLayeredPane.PALETTE_LAYER);

        b7.setForeground(java.awt.Color.white);
        b7.setContentAreaFilled(false);
        b7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b7ActionPerformed(evt);
            }
        });
        b7.setBounds(140, 50, 20, 20);
        jLayeredPane1.add(b7, javax.swing.JLayeredPane.PALETTE_LAYER);

        a7.setBackground(java.awt.Color.white);
        a7.setForeground(java.awt.Color.white);
        a7.setContentAreaFilled(false);
        a7.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a7ActionPerformed(evt);
            }
        });
        a7.setBounds(120, 40, 20, 20);
        jLayeredPane1.add(a7, javax.swing.JLayeredPane.PALETTE_LAYER);

        a6.setForeground(java.awt.Color.white);
        a6.setContentAreaFilled(false);
        a6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a6ActionPerformed(evt);
            }
        });
        a6.setBounds(210, 30, 20, 40);
        jLayeredPane1.add(a6, javax.swing.JLayeredPane.PALETTE_LAYER);

        b6.setForeground(java.awt.Color.white);
        b6.setContentAreaFilled(false);
        b6.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b6ActionPerformed(evt);
            }
        });
        b6.setBounds(230, 50, 20, 20);
        jLayeredPane1.add(b6, javax.swing.JLayeredPane.PALETTE_LAYER);

        a5.setForeground(java.awt.Color.white);
        a5.setContentAreaFilled(false);
        a5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a5ActionPerformed(evt);
            }
        });
        a5.setBounds(300, 40, 20, 20);
        jLayeredPane1.add(a5, javax.swing.JLayeredPane.PALETTE_LAYER);

        b5.setForeground(java.awt.Color.white);
        b5.setContentAreaFilled(false);
        b5.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b5ActionPerformed(evt);
            }
        });
        b5.setBounds(320, 50, 20, 20);
        jLayeredPane1.add(b5, javax.swing.JLayeredPane.PALETTE_LAYER);

        a4.setForeground(java.awt.Color.white);
        a4.setContentAreaFilled(false);
        a4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a4ActionPerformed(evt);
            }
        });
        a4.setBounds(390, 40, 20, 20);
        jLayeredPane1.add(a4, javax.swing.JLayeredPane.PALETTE_LAYER);

        b4.setForeground(java.awt.Color.white);
        b4.setContentAreaFilled(false);
        b4.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b4ActionPerformed(evt);
            }
        });
        b4.setBounds(410, 50, 20, 20);
        jLayeredPane1.add(b4, javax.swing.JLayeredPane.PALETTE_LAYER);

        a3.setForeground(java.awt.Color.white);
        a3.setContentAreaFilled(false);
        a3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a3ActionPerformed(evt);
            }
        });
        a3.setBounds(480, 40, 20, 20);
        jLayeredPane1.add(a3, javax.swing.JLayeredPane.PALETTE_LAYER);

        b3.setForeground(java.awt.Color.white);
        b3.setContentAreaFilled(false);
        b3.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b3ActionPerformed(evt);
            }
        });
        b3.setBounds(500, 50, 20, 20);
        jLayeredPane1.add(b3, javax.swing.JLayeredPane.PALETTE_LAYER);

        a2.setForeground(java.awt.Color.white);
        a2.setContentAreaFilled(false);
        a2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a2ActionPerformed(evt);
            }
        });
        a2.setBounds(570, 40, 20, 20);
        jLayeredPane1.add(a2, javax.swing.JLayeredPane.PALETTE_LAYER);

        b2.setForeground(java.awt.Color.white);
        b2.setContentAreaFilled(false);
        b2.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b2ActionPerformed(evt);
            }
        });
        b2.setBounds(590, 50, 20, 20);
        jLayeredPane1.add(b2, javax.swing.JLayeredPane.PALETTE_LAYER);

        a1.setForeground(java.awt.Color.white);
        a1.setContentAreaFilled(false);
        a1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a1ActionPerformed(evt);
            }
        });
        a1.setBounds(660, 40, 20, 20);
        jLayeredPane1.add(a1, javax.swing.JLayeredPane.PALETTE_LAYER);

        b1.setForeground(java.awt.Color.white);
        b1.setContentAreaFilled(false);
        b1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                b1ActionPerformed(evt);
            }
        });
        b1.setBounds(680, 50, 20, 20);
        jLayeredPane1.add(b1, javax.swing.JLayeredPane.PALETTE_LAYER);

        a0.setForeground(java.awt.Color.white);
        a0.setContentAreaFilled(false);
        a0.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                a0ActionPerformed(evt);
            }
        });
        a0.setBounds(750, 40, 20, 20);
        jLayeredPane1.add(a0, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel1.setText("INC");
        jLabel1.setBounds(810, 190, 30, 18);
        jLayeredPane1.add(jLabel1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel2.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel2.setText("ENB");
        jLabel2.setBounds(10, 90, 30, 30);
        jLayeredPane1.add(jLabel2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel6.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel6.setText("A6");
        jLabel6.setBounds(210, 20, 20, 20);
        jLayeredPane1.add(jLabel6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel7.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel7.setText("ENA");
        jLabel7.setBounds(10, 80, 30, 20);
        jLayeredPane1.add(jLabel7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel8.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel8.setText("INVA");
        jLabel8.setBounds(10, 60, 30, 30);
        jLayeredPane1.add(jLabel8, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel9.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel9.setText("F0");
        jLabel9.setBounds(20, 110, 20, 30);
        jLayeredPane1.add(jLabel9, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel10.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel10.setText("F1");
        jLabel10.setBounds(20, 130, 20, 30);
        jLayeredPane1.add(jLabel10, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel11.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel11.setText("B0");
        jLabel11.setBounds(770, 30, 20, 20);
        jLayeredPane1.add(jLabel11, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel18.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel18.setText("B1");
        jLabel18.setBounds(680, 30, 20, 20);
        jLayeredPane1.add(jLabel18, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel19.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel19.setText("B2");
        jLabel19.setBounds(590, 30, 20, 20);
        jLayeredPane1.add(jLabel19, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel20.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel20.setText("B3");
        jLabel20.setBounds(500, 30, 20, 20);
        jLayeredPane1.add(jLabel20, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel21.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel21.setText("B7");
        jLabel21.setBounds(140, 30, 20, 20);
        jLayeredPane1.add(jLabel21, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel22.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel22.setText("B6");
        jLabel22.setBounds(230, 30, 20, 20);
        jLayeredPane1.add(jLabel22, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel23.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel23.setText("B4");
        jLabel23.setBounds(410, 30, 20, 20);
        jLayeredPane1.add(jLabel23, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel24.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel24.setText("A7");
        jLabel24.setBounds(120, 20, 20, 20);
        jLayeredPane1.add(jLabel24, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel25.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel25.setText("B5");
        jLabel25.setBounds(320, 30, 20, 20);
        jLayeredPane1.add(jLabel25, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel26.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel26.setText("A5");
        jLabel26.setBounds(300, 20, 14, 20);
        jLayeredPane1.add(jLabel26, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel27.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel27.setText("A4");
        jLabel27.setBounds(390, 20, 20, 20);
        jLayeredPane1.add(jLabel27, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel28.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel28.setText("A3");
        jLabel28.setBounds(480, 20, 20, 20);
        jLayeredPane1.add(jLabel28, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel29.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel29.setText("A2");
        jLabel29.setBounds(570, 20, 20, 20);
        jLayeredPane1.add(jLabel29, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel30.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel30.setText("A1");
        jLabel30.setBounds(660, 20, 20, 20);
        jLayeredPane1.add(jLabel30, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel31.setFont(new java.awt.Font("Ubuntu", 0, 12));
        jLabel31.setText("A0");
        jLabel31.setBounds(750, 20, 20, 20);
        jLayeredPane1.add(jLabel31, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O0.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O0.setText("0");
        O0.setBounds(750, 250, 20, 30);
        jLayeredPane1.add(O0, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblCO.setFont(new java.awt.Font("Ubuntu", 1, 24));
        lblCO.setText("0");
        lblCO.setBounds(40, 180, 30, 40);
        jLayeredPane1.add(lblCO, javax.swing.JLayeredPane.PALETTE_LAYER);

        O6.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O6.setText("0");
        O6.setBounds(210, 250, 20, 30);
        jLayeredPane1.add(O6, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O5.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O5.setText("0");
        O5.setBounds(300, 250, 20, 30);
        jLayeredPane1.add(O5, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O4.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O4.setText("0");
        O4.setBounds(390, 250, 20, 30);
        jLayeredPane1.add(O4, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O3.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O3.setText("0");
        O3.setBounds(480, 250, 20, 30);
        jLayeredPane1.add(O3, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O2.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O2.setText("0");
        O2.setBounds(570, 250, 20, 30);
        jLayeredPane1.add(O2, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O1.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O1.setText("0");
        O1.setBounds(660, 250, 20, 30);
        jLayeredPane1.add(O1, javax.swing.JLayeredPane.DEFAULT_LAYER);

        O7.setFont(new java.awt.Font("Ubuntu", 1, 24));
        O7.setText("0");
        O7.setBounds(120, 250, 40, 30);
        jLayeredPane1.add(O7, javax.swing.JLayeredPane.DEFAULT_LAYER);

        head.setIcon(new javax.swing.ImageIcon(getClass().getResource("/h000000.0.png"))); // NOI18N
        head.setBounds(50, 50, 26, 200);
        jLayeredPane1.add(head, javax.swing.JLayeredPane.DEFAULT_LAYER);

        jLabel66.setText(" ALU 7");
        jLabel66.setBounds(106, 190, 44, 18);
        jLayeredPane1.add(jLabel66, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel67.setText(" ALU 7");
        jLabel67.setBounds(106, 190, 44, 18);
        jLayeredPane1.add(jLabel67, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel68.setText(" ALU 7");
        jLabel68.setBounds(106, 190, 44, 18);
        jLayeredPane1.add(jLabel68, javax.swing.JLayeredPane.PALETTE_LAYER);

        jLabel69.setText(" ALU 7");
        jLabel69.setBounds(106, 190, 44, 18);
        jLayeredPane1.add(jLabel69, javax.swing.JLayeredPane.PALETTE_LAYER);

        lblByteA.setFont(new java.awt.Font("Ubuntu", 1, 26));
        lblByteA.setText("A =  00000000");

        lblByteB.setFont(new java.awt.Font("Ubuntu", 1, 26));
        lblByteB.setText("B =  00000000");

        jLabel43.setFont(new java.awt.Font("Ubuntu", 1, 26));
        jLabel43.setText("Seleziona funzione :");

        cmbFunction.setModel(new javax.swing.DefaultComboBoxModel(new String[] { " ", "A", "B", "not A", "not B", "A+B", "A+B+1", "A+1", "B+1", "B-A", "B-1", "-A", "A and B", "A or B", "0", "1", "-1" }));
        cmbFunction.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmbFunctionActionPerformed(evt);
            }
        });

        jLabel4.setFont(new java.awt.Font("Ubuntu", 1, 36));
        jLabel4.setText("VISUAL 8b");

        lblDec.setIcon(new javax.swing.ImageIcon(getClass().getResource("/d00.0.png"))); // NOI18N
        lblDec.setBounds(0, 210, 250, 250);
        jLayeredPane2.add(lblDec, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblSum.setIcon(new javax.swing.ImageIcon(getClass().getResource("/a0000.0.png"))); // NOI18N
        lblSum.setBounds(240, 154, 240, 310);
        jLayeredPane2.add(lblSum, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblOut.setIcon(new javax.swing.ImageIcon(getClass().getResource("/o00000.0.png"))); // NOI18N
        lblOut.setBounds(290, -10, 200, 200);
        jLayeredPane2.add(lblOut, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblLogic.setIcon(new javax.swing.ImageIcon(getClass().getResource("/l00000.0.png"))); // NOI18N
        lblLogic.setBounds(0, 0, 300, 170);
        jLayeredPane2.add(lblLogic, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblOther.setIcon(new javax.swing.ImageIcon(getClass().getResource("/r00100.0.png"))); // NOI18N
        lblOther.setBounds(0, 152, 290, 80);
        jLayeredPane2.add(lblOther, javax.swing.JLayeredPane.DEFAULT_LAYER);

        lblNumAlu.setFont(new java.awt.Font("Ubuntu", 1, 26));
        lblNumAlu.setText("ALU n: -");

        cmdPrev.setText("< Indietro");
        cmdPrev.setEnabled(false);
        cmdPrev.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdPrevActionPerformed(evt);
            }
        });

        cmdNext.setText("Avanti >");
        cmdNext.setEnabled(false);
        cmdNext.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdNextActionPerformed(evt);
            }
        });

        cmdStart.setText("Avvia simulazione");
        cmdStart.setEnabled(false);
        cmdStart.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdStartActionPerformed(evt);
            }
        });

        cmdReset.setText("Resetta simulatore");
        cmdReset.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdResetActionPerformed(evt);
            }
        });

        jLabel17.setFont(new java.awt.Font("Ubuntu", 1, 18));
        jLabel17.setText("Visualizzatore Interattivo Simulatore Unità Aritmetico Logica a 8 bit");

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jLayeredPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 485, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(cmdPrev)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                                .addComponent(cmdNext, javax.swing.GroupLayout.PREFERRED_SIZE, 107, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(jLabel43)
                                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                                .addComponent(cmbFunction, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(33, 33, 33)
                                .addComponent(cmdStart, javax.swing.GroupLayout.PREFERRED_SIZE, 190, javax.swing.GroupLayout.PREFERRED_SIZE)
                                .addGap(18, 18, 18)
                                .addComponent(cmdReset, javax.swing.GroupLayout.PREFERRED_SIZE, 194, javax.swing.GroupLayout.PREFERRED_SIZE))
                            .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 844, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addGroup(jPanel1Layout.createSequentialGroup()
                                .addComponent(lblByteA)
                                .addGap(18, 18, 18)
                                .addComponent(lblByteB))))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(54, 54, 54)
                        .addComponent(lblNumAlu))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(544, 544, 544)
                        .addComponent(jLabel4))
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGap(373, 373, 373)
                        .addComponent(jLabel17)))
                .addContainerGap(33, Short.MAX_VALUE))
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jLabel4)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(jLabel17)
                .addGap(5, 5, 5)
                .addComponent(lblNumAlu)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(jLayeredPane2, javax.swing.GroupLayout.PREFERRED_SIZE, 484, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(jPanel1Layout.createSequentialGroup()
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(lblByteA)
                            .addComponent(lblByteB))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(jLayeredPane1, javax.swing.GroupLayout.PREFERRED_SIZE, 303, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(jLabel43)
                            .addComponent(cmbFunction, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(cmdStart)
                            .addComponent(cmdReset))
                        .addGap(18, 18, 18)
                        .addGroup(jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(cmdPrev)
                            .addComponent(cmdNext))))
                .addGap(59, 59, 59))
        );

        jScrollPane1.setViewportView(jPanel1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 1394, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane1, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, 668, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void a6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a6ActionPerformed
        switchAB(A[6],B[6],alu8[6]);
        updateByte(1,0);
    }//GEN-LAST:event_a6ActionPerformed

    private void b6ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b6ActionPerformed
        switchAB(A[6],B[6],alu8[6]);
        updateByte(1,1);
    }//GEN-LAST:event_b6ActionPerformed

    private void a5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a5ActionPerformed
        switchAB(A[5],B[5],alu8[5]);
        updateByte(2,0);
    }//GEN-LAST:event_a5ActionPerformed

    private void b5ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b5ActionPerformed
        switchAB(A[5],B[5],alu8[5]);
        updateByte(2,1);
    }//GEN-LAST:event_b5ActionPerformed

    private void a4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a4ActionPerformed
        switchAB(A[4],B[4],alu8[4]);
        updateByte(3,0);
    }//GEN-LAST:event_a4ActionPerformed

    private void b4ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b4ActionPerformed
        switchAB(A[4],B[4],alu8[4]);
        updateByte(3,1);
    }//GEN-LAST:event_b4ActionPerformed

    private void a3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a3ActionPerformed
        switchAB(A[3],B[3],alu8[3]);
        updateByte(4,0);
    }//GEN-LAST:event_a3ActionPerformed

    private void b3ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b3ActionPerformed
        switchAB(A[3],B[3],alu8[3]);
        updateByte(4,1);
    }//GEN-LAST:event_b3ActionPerformed

    private void a2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a2ActionPerformed
        switchAB(A[2],B[2],alu8[2]);
        updateByte(5,0);
    }//GEN-LAST:event_a2ActionPerformed

    private void b2ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b2ActionPerformed
        switchAB(A[2],B[2],alu8[2]);
        updateByte(5,1);
    }//GEN-LAST:event_b2ActionPerformed

    private void a1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a1ActionPerformed
        switchAB(A[1],B[1],alu8[1]);
        updateByte(6,0);
    }//GEN-LAST:event_a1ActionPerformed

    private void b1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b1ActionPerformed
        switchAB(A[1],B[1],alu8[1]);
        updateByte(6,1);
    }//GEN-LAST:event_b1ActionPerformed

    private void a7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a7ActionPerformed
        switchAB(A[7],B[7],alu8[7]);
        updateByte(0,0);
    }//GEN-LAST:event_a7ActionPerformed

    private void b7ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b7ActionPerformed
        switchAB(A[7],B[7],alu8[7]);
        updateByte(0,1);
    }//GEN-LAST:event_b7ActionPerformed

    private void a0ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_a0ActionPerformed
        switchAB(A[0],B[0],alu8[0]);
        updateByte(7,0);
    }//GEN-LAST:event_a0ActionPerformed

    private void b0ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_b0ActionPerformed
        switchAB(A[0],B[0],alu8[0]);
        updateByte(7,1);
    }//GEN-LAST:event_b0ActionPerformed

    private void cmbFunctionActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmbFunctionActionPerformed
        if(!cmbFunction.getSelectedItem().equals(" ")){
            loadFunction();
            cmdStart.setEnabled(true);
        }
        else cmdStart.setEnabled(false);
    }//GEN-LAST:event_cmbFunctionActionPerformed

    private void cmdPrevActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdPrevActionPerformed
        if(sequenceIndex>0)
            paintSequence(-1);
        else
            cmdPrev.setEnabled(false);
        cmdNext.setEnabled(true);
    }//GEN-LAST:event_cmdPrevActionPerformed

    private void cmdNextActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdNextActionPerformed
        if(sequenceIndex<sequenceLength)
            paintSequence(1);
        else
            cmdNext.setEnabled(false);
        cmdPrev.setEnabled(true);
    }//GEN-LAST:event_cmdNextActionPerformed

    private void cmdStartActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdStartActionPerformed
        runFunction();
    }//GEN-LAST:event_cmdStartActionPerformed

    private void cmdResetActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdResetActionPerformed
        reset();
    }//GEN-LAST:event_cmdResetActionPerformed

    private void formWindowOpened(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_formWindowOpened
        loadElements();
    }//GEN-LAST:event_formWindowOpened

    private void loadElements(){
        //PER OTTENERE UN CODICE PIÙ PULITO, COMPATTO E SEMPLICE, CARICO I RIFERIMENTI AI LABEL
        //DELLE ALU, A QUELLI DI INPUT E A QUELLI DI OUTPUT IN DEGLI ARRAY.
        alu8=new JLabel[8];
        alu8[0]=alu0;alu8[1]=alu1;alu8[2]=alu2;alu8[3]=alu3;alu8[4]=alu4;alu8[5]=alu5;alu8[6]=alu6;alu8[7]=alu7;
        A=new JCheckBox[8];
        A[0]=a0;A[1]=a1;A[2]=a2;A[3]=a3;A[4]=a4;A[5]=a5;A[6]=a6;A[7]=a7;
        B=new JCheckBox[8];
        B[0]=b0;B[1]=b1;B[2]=b2;B[3]=b3;B[4]=b4;B[5]=b5;B[6]=b6;B[7]=b7;
        out=new JLabel[8];
        out[0]=O0;out[1]=O1;out[2]=O2;out[3]=O3;out[4]=O4;out[5]=O5;out[6]=O6;out[7]=O7;
    }

    private void switchAB(JCheckBox _a,JCheckBox _b,JLabel _alu){
        //QUESTA PROCEDURA SI OCCUPA DI GESTIRE LA GRAFICA QUANDO UNA DELLE LINEE
        //DI INPUT DI UNA ALU A 1 BIT VIENE ASSERITA O VICEVERSA.

        //IL CODICE CHE IDENTIFICA L'IMMAGINE DELLA ALU CORRENTE ED I 2 BIT CHE
        //INDICANO LE LINEE ASSERITE.
        String alu="",ab="";
        if(_a.isSelected() && _b.isSelected())
           ab="11";
        else if(_a.isSelected() && !_b.isSelected())
           ab="10";
        else if(!_a.isSelected() && !_b.isSelected())
           ab="00";
        else
           ab="01";
        //CARICO L'INDIRIZZO DELL'IMMAGINE DELLA ALU CORRENTE
        alu=_alu.getIcon().toString();
        //NE ESTRAPOLO IL CODICE IDENTIFICATIVO
        alu=alu.substring(alu.length()-16,alu.length()-8);
        //E MODIFICO L'INDIRIZZO IN ACCODANDOGLI IL NUOVO INPUT.
        _alu.setIcon(new javax.swing.ImageIcon(getClass().getResource(alu+ab+".0.png")));
    }

    private void updateByte(int _index,int _byte){
        //QUESTA PROCEDURA AGGIORNA I DUE LA LABEL CONTENENTI LE DUE PAROLE DA
        //8 BIT OGNI VOLTA CHE UNA LINEA DI INPUT VIENE ASSERITA O VICERVERSA.
        String str1,str2;
        if(_byte==0)
            str1=lblByteA.getText();
        else
            str1=lblByteB.getText();
        str2=str1.substring(0, _index+5);
        if(str1.charAt(_index+5)=='0')
            str2+="1";
        else
            str2+="0";
        str2+=str1.substring(_index+6,str1.length());
        if(_byte==0)
            lblByteA.setText(str2);
        else
            lblByteB.setText(str2);
    }

    private void loadFunction(){
        //QUESTA PROCEDURA CARICA LA FUNZIONE SELEZIONATA DALL'APPOSITA LISTBOX
        //ED AGGIORNA LE IMMAGINI DELLA ALU A 8 BIT IN BASE ALLA FUNZIONE SCELTA.
        String fcode="";
        //CARICO LE DUE PAROLE.
        byteA=lblByteA.getText().substring(5,lblByteA.getText().length());
        byteB=lblByteB.getText().substring(5,lblByteA.getText().length());
        //CARICO IL CODICE DELLA FUNZIONE.
        switch (cmbFunction.getSelectedIndex()){
            case 1:fcode="011000.";break;
            case 2:fcode="010100.";break;
            case 3:fcode="011010.";break;
            case 4:fcode="101100.";break;
            case 5:fcode="111100.";break;
            case 6:fcode="111101.";break;
            case 7:fcode="111001.";break;
            case 8:fcode="110101.";break;
            case 9:fcode="111111.";break;
            case 10:fcode="110110.";break;
            case 11:fcode="111011.";break;
            case 12:fcode="001100.";break;
            case 13:fcode="011100.";break;
            case 14:fcode="010000.";break;
            case 15:fcode="110001.";break;
            case 16:fcode="110010.";break;
        }
        //SETTO LA NUOVE IMMAGINI DELLE ALU.
        alu8[0].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/t"+fcode+byteA.charAt(7)+byteB.charAt(7)+".0.png")));
        if(fcode.equals("111101.")) fcode="111100.";
        alu8[1].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(6)+byteB.charAt(6)+".0.png")));
        alu8[2].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(5)+byteB.charAt(5)+".0.png")));
        alu8[3].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(4)+byteB.charAt(4)+".0.png")));
        alu8[4].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(3)+byteB.charAt(3)+".0.png")));
        alu8[5].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(2)+byteB.charAt(2)+".0.png")));
        alu8[6].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(1)+byteB.charAt(1)+".0.png")));
        alu8[7].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s"+fcode+byteA.charAt(0)+byteB.charAt(0)+".0.png")));
        head.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/h"+fcode+"0.png")));
    }

    private void runFunction() {
        //QUESTA PROCEDURA ESEGUE TUTTE LE OPERAZIONI NECESSARIE AL CARICAMENTO
        //DEGLI INIDRIZZI DELLE IMMAGINI SULLA MATRICE DELLE SEQUENZE E ALL'AVVIO DELL'ANIMAZIONE.

        //CARICO LE DUE PAROLE A 8 BIT
        byteA=lblByteA.getText().substring(5,lblByteA.getText().length());
        byteB=lblByteB.getText().substring(5,lblByteA.getText().length());
        //INIZIALIZZO GLI INDICI DI SEQUENZA E QUELLO DI ALU
        sequenceIndex=0;
        aluIndex=0;
        //IN BASE ALLA FUNZIONE SELEZIONATA CHIAMO LA RELATIVA FUNZIONE CHE CARICA
        //GLI INDIRIZZI DELLE IMMAGINI NECESSARIE.
        switch(cmbFunction.getSelectedIndex()){
            case 1:loadA();break;
            case 2:loadB();break;
            case 3:loadNotA();break;
            case 4:loadNotB();break;
            case 5:loadAdd(false);break;
            case 6:loadAdd(true);break;
            case 7:loadAddA1();break;
            case 8:loadAddB1();break;
            case 9:loadBSubA();break;
            case 10:loadSubB1();break;
            case 11:loadSubA();break;
            case 12:loadAnd();break;
            case 13:loadOr();break;
            case 14:load0();break;
            case 15:load1();break;
            case 16:loadSub1();break;
        }
        //DISABILITO TUTTI I CONTROLLI CHE POTREBBERO GENERARE PROBLEMI SE USATI
        //DURANTE LA FASE DI ESECUZIONE DELL'ANIMAZIONE.
        cmdStart.setEnabled(false);
        for(int i=0;i<8;i++){
            A[i].setVisible(false);
            B[i].setVisible(false);
        }
        cmbFunction.setEnabled(false);
        //L'ANIMAZIONE È QUINDI CARICATA E POSSO ABILITARE IL PULSANTE PER MANDARLA AVANTI.
        cmdNext.setEnabled(true);
    }

    private void loadOr(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01101.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01101.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l01101.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00111.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00111.3.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="/l00111.3.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01111.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r11010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadAnd(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                sequence[k][0]="/l01101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01101.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01101.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                sequence[k][0]="/l00111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00111.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00111.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01111.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.7.png";
                sequence[k][1]="/o01000.0.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.7.png";
                sequence[k][1]="/o01000.1.png";
                sequence[k][2]="/r11100.0.png";
                sequence[k][3]="/d00.0.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadAdd(boolean _add1){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(k>1 && sequence[k-2][1]!=null || (i==7 && _add1)){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;                  
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01101.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01101.7.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l01111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01101.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01101.7.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l01101.8.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.1.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.2.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="/l00111.5.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l01111.8.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l01111.9.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l01111.9.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadBSubA(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10101.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11101.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11101.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.0.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1110.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11111.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11111.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10101.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10101.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11101.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11101.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11101.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0110.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l10111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11111.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11111.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.0.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.1.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.2.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="/l11111.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadAddA1(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01100.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01100.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01110.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01110.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00100.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01100.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01100.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l01100.3.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00110.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01110.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01110.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l01110.3.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadAddB1(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l00011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l01011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l01001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l00011.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l00011.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0100.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.0.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.1.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.2.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="/l00011.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0101.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l01011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l01011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1100.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.0.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.1.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.2.png";
                    k++;
                    sequence[k][0]="/l01011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r01000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1101.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadSubB1(){
       sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(k>1 && sequence[k-2][1]!=null){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11001.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11001.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1110.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11011.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11011.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1110.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.1.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10001.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11001.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11001.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l11001.2.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10011.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11011.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0110.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l10011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                    sequence[k][0]="/l11011.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11011.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0110.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.0.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.1.png";
                    k++;
                    sequence[k][0]="/l11011.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r11000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0111.2.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void loadA(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00100.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01100.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01100.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01100.6.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l01100.6.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00110.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01110.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01110.4.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01110.5.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01110.6.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l01110.6.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadB(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00001.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01001.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01001.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00011.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00011.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00011.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00011.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="/l00011.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01011.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01011.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01011.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01011.4.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00011.4.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r01010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadNotA(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l10100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l10100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l10100.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l10100.3.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l10100.3.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l11100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11100.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l10110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l10110.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l10110.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l10110.3.png";
                sequence[k][1]="/o00100.0.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="/l10110.3.png";
                sequence[k][1]="/o00100.1.png";
                sequence[k][2]="/r10010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l11110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11110.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l11100.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadNotB(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.3.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.4.png";
                sequence[k][1]="/o00010.0.png";
                sequence[k][2]="/r00001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00101.4.png";
                sequence[k][1]="/o00010.1.png";
                sequence[k][2]="/r00001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='1' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l01101.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01101.9.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r10001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0010.0.png";
                k++;
                sequence[k][0]="/l01101.10.png";
                sequence[k][1]="/o00010.0.png";
                sequence[k][2]="/r10001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0010.1.png";
                k++;
                sequence[k][0]="/l01101.10.png";
                sequence[k][1]="/o00010.1.png";
                sequence[k][2]="/r10001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0010.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if(byteA.charAt(i)=='0' && byteB.charAt(i)=='1'){
                sequence[k][0]="/l00111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l00111.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0100.1.png";
                k++;
                sequence[k][0]="/l00111.6.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0100.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01111.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d10.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01111.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r01100.0.png";
                sequence[k][3]="/d10.1.png";
                sequence[k][4]="/a0100.0.png";
                k++;
                sequence[k][0]="/l01111.10.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="/l01111.11.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r11001.0.png";
                sequence[k][3]="/d10.2.png";
                sequence[k][4]="/a0110.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadSubA(){
        sequence=new String[100][5];
        int k=0;
        //VADO DA 7 A 0 PERCHÉ I NUMERI DELLE ALU RISPETTO ALLE POSIZIONI
        //DEI BIT NELLE PAROLE SONO INVERITI
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if((k>1 && sequence[k-2][1]!=null) || i==7){
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10100.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.0.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l10110.1.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1010.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.1.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.2.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1011.3.png";
                    k++;
                    sequence[k][0]="*";
                    sequence[k][1]="1";
                    k++;
                }
                else{
                     sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a1000.0.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.0.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.1.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10001.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o10001.1.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a1001.2.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
            else{
                if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                    sequence[k][0]="/l10100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10100.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10100.4.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11100.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11100.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else if(byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                    sequence[k][0]="/l10110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l10110.1.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0010.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.0.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.1.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.2.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00001.0.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="/l10110.4.png";
                    sequence[k][1]="/o00001.1.png";
                    sequence[k][2]="/r10000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0011.3.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
                else{
                    sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.0.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11110.0.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00100.0.png";
                    sequence[k][3]="/d11.1.png";
                    sequence[k][4]="/a0000.0.png";
                    k++;
                    sequence[k][0]="/l11110.2.png";
                    sequence[k][1]="/o00000.0.png";
                    sequence[k][2]="/r00000.0.png";
                    sequence[k][3]="/d11.2.png";
                    sequence[k][4]="/a0001.0.png";
                    k++;
                    sequence[k][0]="*";
                    k++;
                }
            }
        }
        sequenceLength=k-2;
    }

    private void load0(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(byteA.charAt(i)=='0' && byteB.charAt(i)=='0'){
                sequence[k][0]="/l00000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l00000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '1' && byteB.charAt(i) == '0'){
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else if (byteA.charAt(i) == '0' && byteB.charAt(i) == '1'){
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d01.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l01000.1.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00010.0.png";
                sequence[k][3]="/d01.2.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void load1(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            if(i==7){
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.0.png";
                sequence[k][4]="/a1000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.1.png";
                sequence[k][4]="/a1000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10000.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.1.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10001.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.2.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o10001.1.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a1001.2.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
            else{
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.0.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00100.0.png";
                sequence[k][3]="/d11.1.png";
                sequence[k][4]="/a0000.0.png";
                k++;
                sequence[k][0]="/l0"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
                sequence[k][1]="/o00000.0.png";
                sequence[k][2]="/r00000.0.png";
                sequence[k][3]="/d11.2.png";
                sequence[k][4]="/a0001.0.png";
                k++;
                sequence[k][0]="*";
                k++;
            }
        }
        sequenceLength=k-2;
    }

    private void loadSub1(){
        sequence=new String[100][5];
        int k=0;
        for(int i=7;i>=0;i--){
            sequence[k][0]="/l00000.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d00.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.0.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r00100.0.png";
            sequence[k][3]="/d11.0.png";
            sequence[k][4]="/a0000.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.1.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10100.0.png";
            sequence[k][3]="/d11.1.png";
            sequence[k][4]="/a0010.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.0.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.1.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00000.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.2.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00001.0.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.3.png";
            k++;
            sequence[k][0]="/l1"+byteA.charAt(i)+"0"+byteB.charAt(i)+"0.2.png";
            sequence[k][1]="/o00001.1.png";
            sequence[k][2]="/r10000.0.png";
            sequence[k][3]="/d11.2.png";
            sequence[k][4]="/a0011.3.png";
            k++;
            sequence[k][0]="*";
            k++;
        }
        sequenceLength=k-2;
    }

    private void paintSequence(int _offset){
        //QUESTA PROCEDURA SI OCCUPA DI ESEGUIRE QUANTO DESCRITTO NEL VETTORE DELLE
        //SEQUENZE (CIOÈ LE IMMAGINI CHE DI VOLTA IN VOLTA SI DEVONO ALTERNARE),
        //CIOÈ CARICA LE IMMAGINI INDICATE NEI GIUSTI LABEL.

        String newCode;

        //INCREMENTO L'INDICE DI SEQUENZA DI UN OFFSET CHE PUÒ ESSERE 1 O -1,
        //A SECONDA CHE SI SIA PREMUTO IL TASTO AVANTI O INDIETRO.
        sequenceIndex+=_offset;
        //SE SI TRATTAVA DELL'ULTIMA SEQUENZA DELL'ALU CORRENTE
        if(sequence[sequenceIndex][0].equals("*")){
            //IN BASE AL VALORE DELL'OFFSET INCREMENTO O DECREMENTO L'INDICE DELLA ALU
            if(_offset==1)
                aluIndex++;
            else
                aluIndex--;
            //E DI NUOVO SOMMO L'OFFSET ALL'INDICE DI SEQUENZA PER OTTENERE LA SEQUENZA SUCCESSIVA
            sequenceIndex+=_offset;
        }
        //AGGIORNO LE IMMAGINI DI TUTTI I VARI LABEL DELLA ALU A 1 BIT
        lblNumAlu.setText("ALU n: "+aluIndex);
        lblLogic.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][0])));
        lblOut.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][1])));
        lblOther.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][2])));
        lblDec.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][3])));
        lblSum.setIcon(new javax.swing.ImageIcon(getClass().getResource(sequence[sequenceIndex][4])));

        //QUESTA VARIABILE INDICA SE L'ALU CORRENTE PRODUCE UN RIPORTO IN USCITA
        boolean inc=sequence[sequenceIndex+1][0].equals("*") && sequence[sequenceIndex+1][1]!=null;
        //SE L'ULTIMO NUMERO DEL CODICE IDENTIFICATIVO DELL'IMMAGINE CONTENTE IL PEZZO DI ALU RELATIVO
        //ALL'OUTPUT (CHE È 0 SE L'OUTPUT È 0 ED 1 IN CASO CONTRARIO) È 1, ALLORA AGGIORNO L'IMMAGINE
        //DELLA ALU A 8 BIT
        if(sequence[sequenceIndex][1].charAt(sequence[sequenceIndex][1].length()-5)=='1'){           
            //CARICO IL CODICE DELLA ALU CORRENTE
            newCode=alu8[aluIndex].getIcon().toString();
            //LO MODIFICO OTTENDO LE SECONDA IMMAGINE DELL'ANIMAZIONE
            newCode=newCode.substring(newCode.length()-16,newCode.length()-5)+"1.png";
            //AGGIORNO L'IMMAGINE
            alu8[aluIndex].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            //AGGIORNO IL LABEL CON L'OUTPUT
            out[aluIndex].setText("1");

            //ESSENDO LE IMMAGINI DELLE ALU NOMINATE IN BASE AGLI EFFETTIVI VALORI DI INPUT,
            //E DATO CHE VI SONO FUNZIONI IN CUI SI HANNO ALLO STESSO TEMPO SIA ALU CON RIPORTO
            //IN USCITA CHE SENZA, E QUINDI ALU CON RIPORTO IN ENTRATA CHE SENZA, È NECESSARIO
            //MODIFICARE L'IMMAGINE E QUINDI IL CODICE DELLA ALU.

            //SE HO UN RIPORTO IN USCITA
            if(inc){
                //SE NON È L'ULTIMA ALU
                if(aluIndex!=7){
                    //AGGIORNO IL CODICE DELLA ALU SUCCESSIVA IMPOSTANDO IL BIT INC A 1.
                    newCode=alu8[aluIndex+1].getIcon().toString();
                    newCode=newCode.substring(newCode.length()-16,newCode.length()-10)+"1"+newCode.substring(newCode.length()-9,newCode.length());
                    alu8[aluIndex+1].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
                }
                //ALTRIMENTI SETTO IL LABEL CARRIED OUT A 1.
                else
                    lblCO.setText("1");
            }
            //VI SONO ANCHE ALCUNE FUNZIONI IN CUI VA FATTO IL LAVORO INVERSO CIOÈ SETTARE IL BIT INC A 0.
            else if((newCode.substring(1,7).equals("111111") && sequence[sequenceIndex][4].charAt(2)=='0')||
                    (newCode.substring(1,7).equals("111011") && sequence[sequenceIndex][4].charAt(2)=='1')){
                newCode=alu8[aluIndex+1].getIcon().toString();
                newCode=newCode.substring(newCode.length()-16,newCode.length());
                newCode=newCode.substring(0,6)+"0"+newCode.substring(7,newCode.length());
                alu8[aluIndex+1].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            }
        }
        //SE HO SOLO IL RIPORTO IN USCITA
        else if(inc){
            newCode=alu8[aluIndex].getIcon().toString();
            newCode=newCode.substring(newCode.length()-16,newCode.length());
            if(newCode.substring(1,7).equals("111111") && sequence[sequenceIndex][4].charAt(2)=='0')
                newCode=newCode.substring(0,6)+"0"+newCode.substring(7,newCode.length());
            newCode=newCode.substring(0,newCode.length()-5)+"1.png";
            alu8[aluIndex].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            if(aluIndex!=7){
                newCode=alu8[aluIndex+1].getIcon().toString();
                newCode=newCode.substring(newCode.length()-16,newCode.length()-10)+"1"+newCode.substring(newCode.length()-9,newCode.length());
                alu8[aluIndex+1].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            }
            else
                lblCO.setText("1");
        }
        //DEVO PREVEDERE ANCHE IL CASO IN CUI L'OUTPUT È 0, PERCHÉ NEL CASO IN CUI
        //ANDASSI A RITROSO NELLE SEQUENZA SE VI SONO ALU CON OUTPUT 1, ESSE DEVONO
        //TORNARE ALLO STATO DI PARTENZA.
        else{        
            newCode=alu8[aluIndex].getIcon().toString();
            newCode=newCode.substring(newCode.length()-16,newCode.length()-5)+"0.png";
            alu8[aluIndex].setIcon(new javax.swing.ImageIcon(getClass().getResource(newCode)));
            out[aluIndex].setText("0");
        }
    }

    private void reset(){
        //QUESTA PROCEDURA RESETTA TUTTI I VALORI E LO STATUS DEI CONTROLLI A
        //QUELLO DI AVVIO DEL PROGRAMMA.
        byteA=null;
        byteB=null;
        sequence=null;
        sequenceIndex=0;
        cmbFunction.setSelectedIndex(0);
        alu8[0].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/t000000.00.0.png")));
        for(int i=1;i<8;i++)
            alu8[i].setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/s000000.00.0.png")));
        head.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/h000000.0.png")));
        for(int i=0;i<8;i++){
            A[i].setVisible(true);
            A[i].setSelected(false);
            B[i].setVisible(true);
            B[i].setSelected(false);
            out[i].setText("0");
        }
        lblByteA.setText("A =  00000000");
        lblByteB.setText("B =  00000000");
        lblNumAlu.setText("ALU n: -");
        lblCO.setText("0");
        lblLogic.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/l00000.0.png")));
        lblOut.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/o00000.0.png")));
        lblOther.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/r00100.0.png")));
        lblDec.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/d00.0.png")));
        lblSum.setIcon(new javax.swing.ImageIcon(getClass().getResource("/img/a0000.0.png")));
        cmdStart.setEnabled(false);
        cmdPrev.setEnabled(false);
        cmdNext.setEnabled(false);
        cmbFunction.setEnabled(true);
    }

    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new Alu().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel O0;
    private javax.swing.JLabel O1;
    private javax.swing.JLabel O2;
    private javax.swing.JLabel O3;
    private javax.swing.JLabel O4;
    private javax.swing.JLabel O5;
    private javax.swing.JLabel O6;
    private javax.swing.JLabel O7;
    private javax.swing.JCheckBox a0;
    private javax.swing.JCheckBox a1;
    private javax.swing.JCheckBox a2;
    private javax.swing.JCheckBox a3;
    private javax.swing.JCheckBox a4;
    private javax.swing.JCheckBox a5;
    private javax.swing.JCheckBox a6;
    private javax.swing.JCheckBox a7;
    private javax.swing.JLabel alu0;
    private javax.swing.JLabel alu1;
    private javax.swing.JLabel alu2;
    private javax.swing.JLabel alu3;
    private javax.swing.JLabel alu4;
    private javax.swing.JLabel alu5;
    private javax.swing.JLabel alu6;
    private javax.swing.JLabel alu7;
    private javax.swing.JCheckBox b0;
    private javax.swing.JCheckBox b1;
    private javax.swing.JCheckBox b2;
    private javax.swing.JCheckBox b3;
    private javax.swing.JCheckBox b4;
    private javax.swing.JCheckBox b5;
    private javax.swing.JCheckBox b6;
    private javax.swing.JCheckBox b7;
    private javax.swing.JComboBox cmbFunction;
    private javax.swing.JButton cmdNext;
    private javax.swing.JButton cmdPrev;
    private javax.swing.JButton cmdReset;
    private javax.swing.JButton cmdStart;
    private javax.swing.JLabel head;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel10;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel14;
    private javax.swing.JLabel jLabel15;
    private javax.swing.JLabel jLabel16;
    private javax.swing.JLabel jLabel17;
    private javax.swing.JLabel jLabel18;
    private javax.swing.JLabel jLabel19;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel20;
    private javax.swing.JLabel jLabel21;
    private javax.swing.JLabel jLabel22;
    private javax.swing.JLabel jLabel23;
    private javax.swing.JLabel jLabel24;
    private javax.swing.JLabel jLabel25;
    private javax.swing.JLabel jLabel26;
    private javax.swing.JLabel jLabel27;
    private javax.swing.JLabel jLabel28;
    private javax.swing.JLabel jLabel29;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel30;
    private javax.swing.JLabel jLabel31;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel43;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel66;
    private javax.swing.JLabel jLabel67;
    private javax.swing.JLabel jLabel68;
    private javax.swing.JLabel jLabel69;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLayeredPane jLayeredPane1;
    private javax.swing.JLayeredPane jLayeredPane2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JLabel lblByteA;
    private javax.swing.JLabel lblByteB;
    private javax.swing.JLabel lblCO;
    private javax.swing.JLabel lblDec;
    private javax.swing.JLabel lblLogic;
    private javax.swing.JLabel lblNumAlu;
    private javax.swing.JLabel lblOther;
    private javax.swing.JLabel lblOut;
    private javax.swing.JLabel lblSum;
    // End of variables declaration//GEN-END:variables
}